
<h1>
    <% if @position %>
    Position #<%=@position.id%> in <%=@position.security%>
    <% else %>
    New Position
    <% end %>
</h1>


<%= form_for @order, url: {:action=>:create} do |f| %>
<fieldset id='order'>
 <% if @position then # 1) %>
    <legend>New Order <span>into Account <%=@position.portfolio.name%></span></legend>
    <p>
        <%= hidden_field_tag :id_position, @position.id %>
        Current position holds <%=smr_humanize(@position.shares)%> shares which did cost <%=@position.invested%> so far.
    </p>
 <% elsif @portfolio # 2) %>
    <legend>Establish new Position <span>into Account <%=@portfolio.name%></span></legend>
    <p>
        <%= hidden_field_tag :id_portfolio, @portfolio.id %>
        <%= select_tag :id_security, options_from_collection_for_select(@securities, :id, :to_s), :prompt=>'-- Select Security to hold in new Position --' %>
    </p>
 <% else # 3) %>
    <legend>Order some Security <span>into some Account</span></legend>
        <%= select_tag :id_position, options_from_collection_for_select(@open_positions, :id, :to_s), :prompt=>'-- Place Order on existing open Position --' %><br/>
        <p>- OR -</p>
        <%= select_tag :id_security, options_from_collection_for_select(@securities, :id, :to_s_with_symbol), :prompt=>'-- Order Security --' %> into
        <%= select_tag :id_portfolio, options_from_collection_for_select(@portfolios, :id, :name), :prompt=>'-- Account --' %>
 <% end %>
    <hr/>
        <h4>Parameters</h4>
        <%= f.number_field :shares, :step=>0.0001, :min=>0.0001, :value=>number_with_precision(f.object.shares, :precision=>4) %><%= label :order, :shares %><br/>
        <%= f.number_field :limit, :step=>0.0001, :min=>0.0001, :value=>number_with_precision(f.object.limit, :precision=>4) %><%= label :order, :limit %><br/>
        <%= f.text_field :exchange %><%= label :order, :exchange %><br/>
        <%= f.select :addon, %w(none StopLoss StopBuy) %><%= label :order, :addon %><br/>
        <%= datetime_field_tag :time_issued, smr_humanize(f.object.time_issued, :date_with_time=>true) %><%= label :order, :time_issued %><br/>
        <%= datetime_field_tag :time_expire, smr_humanize(f.object.time_expire, :date_with_time=>true) %><%= label :order, :time_expire %><br/>
    <hr/>
        <h4>Charges</h4>
        <%= f.number_field :provision, :step=>0.01, :value=>0.0 %><%= label :order, :provision %><br/>
        <%= f.number_field :courtage, :step=>0.01, :value=>0.0 %><%= label :order, :courtage %><br/>
        <%= f.number_field :expense, :step=>0.01, :value=>0.0 %><%= label :order, :expense %><br/>
    <hr/>
        <h4>Interest and Tax</h4>
        <%= f.number_field :accrued_interest, :step=>0.01, :value=>0.0 %>
        <%= label :order, :accrued_interest %> <span>considered paid on purchase or received on sale</span><br/>
    <hr/>
        <%= f.text_area :comment, :placeholder=>'Why doing this?' %><br/>
    <hr/>
        <h4>Settlement Document</h4>
        <%= f.file_field :document %>
    <hr/>
        <h4>Execute Options</h4>
        <%= check_box_tag(:close_position, 1, true) %>
        <%= label_tag(:close_position, 'close position if entirely sold') %><br/>

        <%= check_box_tag(:execute_now) %>
        <%= label_tag(:execute_now, 'execute order using quote') %>
        <%= number_field_tag :execute_quote, number_with_precision(f.object.limit, :precision=>4), {step: 0.0001, min: 0.0001} %>
        at <%= datetime_field_tag :execute_time, smr_humanize(Time.now, :date_with_time=>true) %><br/>

        <%= check_box_tag(:is_redemption) %>
        <%= label_tag(:is_redemption, 'this is a redemption') %><br/>
    <hr/>
    <%= f.button "Buy", {:name=>'order[type]', :value=>'buy'} %>
    <%= f.button "Sell", {:name=>'order[type]', :value=>'sale'} %>
</fieldset>
<% end %>
